#Generated Form Function
function GenerateForm {
########################################################################
# Code Generated By: SAPIEN Technologies PrimalForms (Community Edition) v1.0.10.0
# Generated On: 28.11.2012 10:09
# Generated By: michael.kellenberge
########################################################################

#region Import the Assemblies
[reflection.assembly]::loadwithpartialname("System.Windows.Forms") | Out-Null
##Add-Type -assemblyname "System.Windows.Forms"
[reflection.assembly]::loadwithpartialname("System.Drawing") | Out-Null
#endregion

#region Generated Form Objects
$form1 = New-Object System.Windows.Forms.Form
$textBox1 = New-Object System.Windows.Forms.TextBox
$Btn_Aktualisieren = New-Object System.Windows.Forms.Button
$InitialFormWindowState = New-Object System.Windows.Forms.FormWindowState
#endregion Generated Form Objects

#----------------------------------------------
#Generated Event Script Blocks
#----------------------------------------------
#Provide Custom Code for events specified in PrimalForms.
$Aktualisiern_Click= 
{
	#Prozesse sortiert anzeigen
	$textBox1.Text = Get-Process | Sort-Object CPU -descending | Select-object ProcessName, ID, CPU  | Out-String -Width 40
}

$OnLoadForm_StateCorrection=
{#Correct the initial state of the form to prevent the .Net maximized form issue
	$form1.WindowState = $InitialFormWindowState
	
	#Prozesse sortiert anzeigen
	$textBox1.Text = Get-Process | Sort-Object CPU -descending | Select-object ProcessName, ID, CPU  | Out-String -Width 40
}

#----------------------------------------------
#region Generated Form Code
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 500
$System_Drawing_Size.Width = 359
$form1.ClientSize = $System_Drawing_Size
$form1.DataBindings.DefaultDataSourceUpdateMode = 0
$form1.Name = "form1"
$form1.Text = "Processe"

$textBox1.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 15
$System_Drawing_Point.Y = 41
$textBox1.Location = $System_Drawing_Point
$textBox1.Multiline = $True
$textBox1.Name = "textBox1"
$textBox1.ScrollBars = 3
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 447
$System_Drawing_Size.Width = 332
$textBox1.Size = $System_Drawing_Size
$textBox1.TabIndex = 2
$textBox1.Font = New-Object System.Drawing.Font("Courier New", 8.25, [System.Drawing.FontStyle]::Regular, [System.Drawing.GraphicsUnit]::Point, ([System.Byte](0)))
$textBox1.TabIndex = 10

$form1.Controls.Add($textBox1)


$Btn_Aktualisieren.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 12
$System_Drawing_Point.Y = 12
$Btn_Aktualisieren.Location = $System_Drawing_Point
$Btn_Aktualisieren.Name = "Btn_Aktualisieren"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 23
$System_Drawing_Size.Width = 335
$Btn_Aktualisieren.Size = $System_Drawing_Size
$Btn_Aktualisieren.TabIndex = 0
$Btn_Aktualisieren.Text = "Aktualisieren"
$Btn_Aktualisieren.UseVisualStyleBackColor = $True
$Btn_Aktualisieren.add_Click($Aktualisiern_Click)

$form1.Controls.Add($Btn_Aktualisieren)

#endregion Generated Form Code

#Save the initial state of the form
$InitialFormWindowState = $form1.WindowState
#Init the OnLoad event to correct the initial state of the form
$form1.add_Load($OnLoadForm_StateCorrection)
#Show the Form
$form1.ShowDialog()| Out-Null

} #End Function

#Call the Function
GenerateForm
